Name:		mitmproxy
Version:	10.1.5
Release:	%mkrel 2
Summary:	An interactive SSL-capable man-in-the-middle HTTP proxy
License:	MIT
Group:		Security
URL:		https://mitmproxy.org/
Source0:	https://github.com/mitmproxy/mitmproxy/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		mitmproxy-10.1.3-remove-upper-bound-versions-dependencies.patch
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros

Provides:	python-netlib = %{version}-%{release}
Obsoletes:	python-netlib < 0.16-2
Provides:	python3-netlib = %{version}-%{release}
Obsoletes:	python3-netlib < 0.16-2
Obsoletes:	%{name} < 6.0.2-3

%description
This package contains the mitmproxy and pathod projects, as well as their
shared networking library, netlib.

mitmproxy is an interactive, SSL-capable intercepting proxy with a console
interface.

mitmdump is the command-line version of mitmproxy. Think tcpdump for HTTP.

pathoc and pathod are perverse HTTP client and server applications designed
to let you craft almost any conceivable HTTP request, including ones that
creatively violate the standards.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%files -n %{name} -f %{pyproject_files}
%doc CHANGELOG.md README.md
%doc LICENSE
%{_bindir}/mitmdump
%{_bindir}/mitmproxy
%{_bindir}/mitmweb


%changelog
* Sat Feb 24 2024 daviddavid <daviddavid> 10.1.5-2.mga10
+ Revision: 2044003
- rebuild for py3.12

* Wed Nov 15 2023 kekepower <kekepower> 10.1.5-1.mga10
+ Revision: 2007052
- Update to version 10.1.5

* Tue Nov 14 2023 kekepower <kekepower> 10.1.4-1.mga10
+ Revision: 2006772
- Update to version 10.1.4

* Sat Nov 04 2023 kekepower <kekepower> 10.1.3-1.mga10
+ Revision: 2004199
- Update to version 10.1.3

* Fri Nov 03 2023 kekepower <kekepower> 10.1.2-1.mga10
+ Revision: 2003848
- Update to version 10.1.2

* Sun Oct 01 2023 kekepower <kekepower> 10.1.1-1.mga10
+ Revision: 1992708
- Update to version 10.1.1

* Mon May 01 2023 daviddavid <daviddavid> 9.0.1-2.mga9
+ Revision: 1955510
- remove mitmproxy_wireguard dependency replaced by mitmproxy_rs in next release
  * https://github.com/mitmproxy/mitmproxy/commit/a7e50c793e9c6840d9f0fc162893e293477a358e

* Sun Nov 06 2022 kekepower <kekepower> 9.0.1-1.mga9
+ Revision: 1903953
- Update to version 9.0.1

* Wed Jun 29 2022 kekepower <kekepower> 8.1.1-1.mga9
+ Revision: 1866650
- Rediff Patch0
- Update to version 8.1.1

* Wed May 18 2022 kekepower <kekepower> 8.1.0-1.mga9
+ Revision: 1858588
- Update to version 8.1.0

* Mon Mar 21 2022 kekepower <kekepower> 8.0.0-1.mga9
+ Revision: 1812465
- Update to version 8.0.0
- Rediff Patch0: remove-upper-bound-versions-dependencies

* Mon Feb 28 2022 tv <tv> 7.0.2-2.mga9
+ Revision: 1786771
- Rebuild for python-3.10

* Sat Aug 14 2021 kekepower <kekepower> 7.0.2-1.mga9
+ Revision: 1741375
- Update to version 7.0.2

* Wed Aug 04 2021 kekepower <kekepower> 7.0.1-1.mga9
+ Revision: 1739265
- Update to version 7.0.1
- Rediff Patch0

* Sun Jul 18 2021 kekepower <kekepower> 7.0.0-1.mga9
+ Revision: 1736554
- Update to version 7.0.0

* Sun Mar 21 2021 guillomovitch <guillomovitch> 6.0.2-2.mga9
+ Revision: 1707141
- rebuild for python 3.9

* Sun Jan 10 2021 guillomovitch <guillomovitch> 6.0.2-1.mga8
+ Revision: 1670353
- new version 6.0.2

* Wed Dec 30 2020 kekepower <kekepower> 6.0.1-1.mga8
+ Revision: 1666329
- Update to version 6.0.1

* Sun Dec 13 2020 kekepower <kekepower> 6.0.0-1.mga8
+ Revision: 1656278
- Update to version 6.0.0
- Rediff Patch0

* Sun Nov 01 2020 kekepower <kekepower> 5.3.0-1.mga8
+ Revision: 1641270
- Update to version 5.3.0

* Sat Oct 24 2020 kekepower <kekepower> 5.2-1.mga8
+ Revision: 1639154
- Update to version 5.2

* Sun Jun 28 2020 guillomovitch <guillomovitch> 5.1.1-1.mga8
+ Revision: 1600094
- new version 5.1.1

* Sun Feb 16 2020 umeabot <umeabot> 4.0.4-4.mga8
+ Revision: 1533526
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 4.0.4-3.mga8
+ Revision: 1444592
- rebuild for python3.8

* Thu Jan 10 2019 guillomovitch <guillomovitch> 4.0.4-2.mga7
+ Revision: 1354583
- add debian patch to remove maximum version dependencies
- rebuild for python 3.7

* Tue Jan 01 2019 guillomovitch <guillomovitch> 4.0.4-1.mga7
+ Revision: 1348253
- new version 4.0.4

* Thu Sep 20 2018 umeabot <umeabot> 4.0.1-2.mga7
+ Revision: 1279937
- Mageia 7 Mass Rebuild

* Sat May 19 2018 kekepower <kekepower> 4.0.1-1.mga7
+ Revision: 1230547
- Update to version 4.0.1

* Thu Apr 05 2018 kekepower <kekepower> 3.0.4-1.mga7
+ Revision: 1215532
- Update to version 3.0.4

* Mon Mar 12 2018 kekepower <kekepower> 3.0.3-1.mga7
+ Revision: 1208757
- Update to version 3.0.3

* Tue Sep 19 2017 tv <tv> 2.0.2-1.mga7
+ Revision: 1155399
- new release (thus fixing deps)

* Sat Aug 05 2017 pterjan <pterjan> 0.18.2-2.mga7
+ Revision: 1135272
- Rebuild for python 3.6

* Fri Dec 02 2016 daviddavid <daviddavid> 0.18.2-1.mga6
+ Revision: 1071759
- new version: 0.18.2
- port to python3

* Fri Dec 02 2016 tmb <tmb> 0.17-6.mga6
+ Revision: 1071642
- rebuild for new python-tornado

* Sun Oct 30 2016 daviddavid <daviddavid> 0.17-5.mga6
+ Revision: 1064186
- relax now version of python-cryptography

* Wed Oct 12 2016 daviddavid <daviddavid> 0.17-4.mga6
+ Revision: 1060570
- relax now version of python-pillow

* Mon Sep 12 2016 daviddavid <daviddavid> 0.17-3.mga6
+ Revision: 1051642
- relax again version of python-requests

* Wed May 04 2016 daviddavid <daviddavid> 0.17-2.mga6
+ Revision: 1009138
- add a patch to relax requires for python-requests

* Sun Apr 10 2016 daviddavid <daviddavid> 0.17-1.mga6
+ Revision: 1000062
- new version: 0.17
- python-netlib is now part of mitmproxy so Obsoletes/Provides it as it should
- update Source URL from github
- update Summary and Description
- remove unneeded hard requires as they are already auto-required

* Tue Jan 19 2016 daviddavid <daviddavid> 0.15-2.mga6
+ Revision: 925724
- use new python macros
- add patch to fix python-tornado setup-dependency

* Tue Dec 22 2015 guillomovitch <guillomovitch> 0.15-1.mga6
+ Revision: 913557
- new version 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-5.mga5
+ Revision: 746210
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10.1-4.mga5
+ Revision: 727321
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-3.mga5
+ Revision: 682535
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Apr 26 2014 dlucio <dlucio> 0.10.1-1.mga5
+ Revision: 618134
- 0.10.1

* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-4.mga4
+ Revision: 542708
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-3.mga4
+ Revision: 497902
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 30 2013 philippem <philippem> 0.9.2-2.mga4
+ Revision: 473301
- add Requires python-lxml

* Fri Aug 30 2013 philippem <philippem> 0.9.2-1.mga4
+ Revision: 473281
- update to 0.9.2

* Fri Aug 30 2013 dlucio <dlucio> 0.9-3.mga4
+ Revision: 473245
- more requires

* Fri Aug 30 2013 dlucio <dlucio> 0.9-2.mga4
+ Revision: 473215
- python-OpenSSL required

* Thu May 23 2013 guillomovitch <guillomovitch> 0.9-1.mga4
+ Revision: 424814
- new version

* Tue Feb 05 2013 guillomovitch <guillomovitch> 0.8.1-1.mga3
+ Revision: 394636
- imported package mitmproxy

